Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateTermsOfService

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateTermsOfService

Enclosing class:
  TdApi

public static final class TdApi.UpdateTermsOfService extends TdApi.Update
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.TermsOfService`
`termsOfService`
The new terms of service.
`String`
`termsOfServiceId`
Identifier of the terms of service.

## Constructor Summary

Constructors
Constructor
Description
`UpdateTermsOfService()`
New terms of service must be accepted by the user.
`UpdateTermsOfService(DataInput input)`
New terms of service must be accepted by the user.
`UpdateTermsOfService(String termsOfServiceId, TdApi.TermsOfService termsOfService)`
New terms of service must be accepted by the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### termsOfServiceId

public String termsOfServiceId
Identifier of the terms of service.

### termsOfService

public TdApi.TermsOfService termsOfService
The new terms of service.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateTermsOfService

public UpdateTermsOfService()
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

### UpdateTermsOfService

public UpdateTermsOfService(String termsOfServiceId, TdApi.TermsOfService termsOfService)
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

Parameters:
  `termsOfServiceId` - Identifier of the terms of service.
  `termsOfService` - The new terms of service.

### UpdateTermsOfService

public UpdateTermsOfService(DataInput input) throws IOException
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`